Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
logging::WlanLog Interface Reference

WLAN diagnostic log interface. More...

## Public Member Functions
void | clear ()
| Clear the WLAN diagnostic log.
LogInfo | getInfo ()
| Get info about the WLAN diagnostic log. More...
LogChunk | getChunk (in int refId, in int count, in RangeDirection direction)
| Fetch a chunk from the WLAN diagnostic log. More...

## Detailed Description

WLAN diagnostic log interface.

## Member Function Documentation

## ◆ getChunk()

LogChunk logging::WlanLog::getChunk | ( | in int | refId,
|  | in int | count,
|  | in RangeDirection | direction
| ) |  |

Fetch a chunk from the WLAN diagnostic log.

For details regarding the behavior of this method refer to the description of the logging module in Log.idl.

Parameters

  refId | First log id to fetch
  count | Number of entries to fetch
  direction | Range direction

Returns
  log chunk

## ◆ getInfo()

LogInfo logging::WlanLog::getInfo | ( |  | ) |

Get info about the WLAN diagnostic log.

Returns
  log info

The documentation for this interface was generated from the following file:

- WlanLog.idl